FROM {{ "buster-php73" | image_tag }} AS buster-php73

RUN echo "deb http://apt.wikimedia.org/wikimedia buster-wikimedia component/vp9" > /etc/apt/sources.list.d/buster-vp9.list

RUN {{ "ffmpeg" | apt_install }}

# MediaWiki default settings
COPY PlatformSettings.php /docker/PlatformSettings.php

WORKDIR "/var/www/html/w"

COPY entrypoint.sh /entrypoint.sh
ENTRYPOINT ["/bin/bash", "/entrypoint.sh"]
